"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.config = void 0;
if (!process.env.WIKIDOT_API_TOKEN) {
    throw new Error('Wikidot api token is required');
}
exports.config = {
    queues: [
        {
            name: 'common',
            concurrency: 4,
        },
        {
            name: 'import',
            concurrency: 4,
        },
    ],
    appHost: process.env.APP_HOST || 'https://scp.rt-iv.com',
    wikidotSites: [
        {
            name: 'scp-ru',
            url: 'http://scpfoundation.net',
            title: 'SCP Foundation Russia',
            description: 'Russian branch main wiki',
        },
        {
            name: 'scp-wiki',
            url: 'http://www.scp-wiki.net',
            title: 'SCP Foundation',
            description: 'Original English wiki',
        },
        {
            name: 'wanderers-library',
            url: 'http://wanderers-library.wikidot.com',
            title: 'The Wanderers\' Library',
            description: 'Collaborative fiction exercise',
        },
        {
            name: 'fondationscp',
            url: 'http://fondationscp.wikidot.com',
            title: 'Fondation SCP',
            description: 'The French Branch',
        },
        {
            name: 'scp-wiki-de',
            url: 'http://scp-wiki-de.wikidot.com',
            title: 'SCP Foundation in Deutschland',
            description: 'The German Branch',
        },
        {
            name: 'scp-pl',
            url: 'http://scp-wiki.net.pl',
            title: 'Zabezpieczać Przechowywać Chronić',
            description: 'The Polish Branch',
        },
        {
            name: 'fondazionescp',
            url: 'http://fondazionescp.wikidot.com',
            title: 'Branca Italiana della SCP Foundation',
            description: 'The Italian branch',
        },
        {
            name: 'lafundacionscp',
            url: 'http://lafundacionscp.wikidot.com',
            title: 'Rama Hispanohablante',
            description: 'The Spanish Branch',
        },
        {
            name: 'scp-wiki-cn',
            url: 'http://scp-wiki-cn.wikidot.com',
            title: '控制，收容，保护',
            description: 'The Chinese Branch',
        },
        {
            name: 'scp-kr',
            url: 'http://ko.scp-wiki.net',
            title: '확보, 격리, 보호',
            description: 'The Korean Branch',
        },
        {
            name: 'scp-jp',
            url: 'http://ja.scp-wiki.net',
            title: '確保、収容、保護',
            description: 'The Japanese Branch',
        },
        {
            name: 'scp-th',
            url: 'http://scp-th.wikidot.com',
            title: 'จับ, เก็บ, เฝ้า',
            description: 'The Thai Branch',
        },
        {
            name: 'scp-ukrainian',
            url: 'http://scp-ukrainian.wikidot.com',
            title: 'Охороняти. Утримувати. Захищати.',
            description: 'Ukrainian branch',
        },
        {
            name: 'scp-pt-br',
            url: 'http://scp-pt-br.wikidot.com/',
            title: 'Fundação SCP.',
            description: 'The Portuguese branch',
        },
    ],
    wikidotApiToken: process.env.WIKIDOT_API_TOKEN,
};
//# sourceMappingURL=config.js.map