"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.routes = void 0;
const constants_1 = require("../shared/constants");
exports.routes = [
    {
        name: 'ping',
        path: '/ping',
    },
    {
        name: 'random-page',
        path: '/random',
    },
    {
        name: 'wikidot/random-page',
        path: '/wikidot_random_page',
    },
    {
        name: 'wikidot/api/tether-account',
        path: '/wikidot/api/tether-account',
        method: 'post',
    },
    {
        name: 'wikidot/api/random-page',
        path: '/api/random_page',
    },
    {
        name: 'wikidot/api/random-page',
        path: '/api/wikidot_random_page',
    },
    {
        name: 'wikidot/api/tags-list',
        path: '/_api/wikidot_tags_search/list',
    },
    {
        name: 'wikidot/api/tags-search',
        path: '/_api/wikidot_tags_search/find',
    },
    {
        name: 'wikidot/api/untranslated-list',
        path: '/_api/wanted_translations/list',
    },
    {
        name: 'wikidot/get-page',
        path: '/api/wikidot/pages/:wikiName/:pageName',
    },
    {
        name: 'drafts/list',
        path: '/api/drafts',
        clearance: constants_1.ClearanceLevel.User,
    },
    {
        name: 'drafts/show',
        path: '/api/drafts/:id',
    },
    {
        name: 'drafts/create',
        path: '/api/drafts',
        method: 'post',
        clearance: constants_1.ClearanceLevel.User,
    },
    {
        name: 'drafts/update',
        path: '/api/drafts/:id',
        method: 'post',
        clearance: constants_1.ClearanceLevel.User,
    },
    {
        name: 'drafts/delete',
        path: '/api/drafts/:id',
        method: 'delete',
        clearance: constants_1.ClearanceLevel.User,
    },
    {
        name: 'ui',
        path: '/*',
    },
];
//# sourceMappingURL=routes.js.map