"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.run = void 0;
const models_1 = require("../models");
function run(ctx, siteName, uid) {
    return __awaiter(this, void 0, void 0, function* () {
        const wiki = ctx.config.wikidotSites.find((site) => site.name === siteName);
        if (!wiki) {
            throw new Error(`Unknown site "${siteName}"`);
        }
        ctx.log(`Importing member ${uid} from ${wiki.name}`);
        try {
            const user = yield ctx.wk.fetchUserProfile(wiki.url, uid);
            ctx.log('Imported user profile', user);
            yield models_1.WikidotUser.upsert({
                uid: user.uid,
                username: user.username,
                regDate: user.userSince,
                about: user.about,
                memberships: { [siteName]: user.memberSince },
            });
        }
        catch (error) {
            ctx.reportError('Error during member import', error, { uid });
        }
    });
}
exports.run = run;
//# sourceMappingURL=member-import.js.map