'use strict';

exports.up = (knex) => knex.raw(`
    ALTER TABLE wikidot_pages RENAME TO pages;

    ALTER TABLE pages ADD CONSTRAINT fk_branch
        FOREIGN KEY(wiki_name) REFERENCES branches(name);

    DROP VIEW wikidot_ru_random_page_view;
    CREATE VIEW wikidot_ru_random_page_view AS
    SELECT name
    FROM pages
    WHERE wiki_name = 'scp-ru' AND
        ARRAY [
        'безопасный',
        'евклид',
        'кетер',
        'таумиэль',
        'нейтрализованный',
        'не_назначен',
        'ru',
        'шуточный',
        'архив',
        'рассказ'
        ] :: VARCHAR []
        && pages.tags :: VARCHAR []
    ORDER BY random()
    LIMIT 1;
`);

exports.down = (knex) => knex.raw(`
    ALTER TABLE pages RENAME TO wikidot_pages;

    ALTER TABLE wikidot_pages DROP CONSTRAINT fk_branch;

    DROP VIEW wikidot_ru_random_page_view;
    CREATE VIEW wikidot_ru_random_page_view AS
    SELECT name
    FROM wikidot_pages
    WHERE wiki_name = 'scp-ru' AND
        ARRAY [
        'безопасный',
        'евклид',
        'кетер',
        'таумиэль',
        'нейтрализованный',
        'не_назначен',
        'ru',
        'шуточный',
        'архив',
        'рассказ'
        ] :: VARCHAR []
        && wikidot_pages.tags :: VARCHAR []
    ORDER BY random()
    LIMIT 1;
`);
